From 7957c591fccf3d5745bee4507a66b78ff4414a5f Mon Sep 17 00:00:00 2001
From: Peter Lebbing <peter@digitalbrains.com>
Date: Sun, 23 Sep 2018 11:48:11 +0200
Subject: [PATCH] Use modern keybox format for gpg

---
 debian/README.gnupg-sc               | 4 ++--
 debian/initramfs/hooks/cryptgnupg-sc | 4 ++--
 debian/scripts/decrypt_gnupg-sc      | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/debian/README.gnupg-sc b/debian/README.gnupg-sc
index 4320269d..2861eed0 100644
--- a/debian/README.gnupg-sc
+++ b/debian/README.gnupg-sc
@@ -36,9 +36,9 @@ decrypting the keyfile at initramfs stage
 
 If the device is to be unlocked at initramfs stage (such as for the root FS or
 the resume device), you need to copy the public part of the encryption
-key to /etc/cryptsetup-initramfs/pubring.gpg:
+key to a keyring named /etc/cryptsetup-initramfs/pubring.kbx:
 
-# gpg --export 0xDEADBEEF >/etc/cryptsetup-initramfs/pubring.gpg
+# gpg --export 0xDEADBEEF | gpg --no-default-keyring --keyring /etc/cryptsetup-initramfs/pubring.kbx --import
 
 Then the provided initramfs hooks should do all additionally required
 work for you when the initramfs is created or updated.
diff --git a/debian/initramfs/hooks/cryptgnupg-sc b/debian/initramfs/hooks/cryptgnupg-sc
index 57255fad..0a607ab8 100755
--- a/debian/initramfs/hooks/cryptgnupg-sc
+++ b/debian/initramfs/hooks/cryptgnupg-sc
@@ -39,9 +39,9 @@ copy_keys() {
 RV=0
 crypttab_foreach_entry copy_keys
 
-PUBRING="/etc/cryptsetup-initramfs/pubring.gpg"
+PUBRING="/etc/cryptsetup-initramfs/pubring.kbx"
 if [ -f "$PUBRING" ]; then
-    copy_file pubring "$PUBRING" "/cryptroot/pubring.gpg"
+    copy_file pubring "$PUBRING" "/cryptroot/pubring.kbx"
 else
     cryptsetup_message "WARNING: $PUBRING: No such file"
 fi
diff --git a/debian/scripts/decrypt_gnupg-sc b/debian/scripts/decrypt_gnupg-sc
index 8bb9d81d..932e1bf0 100755
--- a/debian/scripts/decrypt_gnupg-sc
+++ b/debian/scripts/decrypt_gnupg-sc
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-PUBRING="/cryptroot/pubring.gpg"
+PUBRING="/cryptroot/pubring.kbx"
 [ -f "$PUBRING" ] || PUBRING=
 
 run_gpg() {
-- 
2.11.0

